<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Data Source Profiles</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="data-source-profiles">Data Source Profiles</h1>
<p>This section will describe <strong>Data Source Profiles</strong> in Cacti.</p>
<p><img src="images/data-source-profiles.png" alt="Data Source Profiles" /></p>
<p><img src="images/data-source-profiles-edit1.png" alt="Data Source Profiles Edit" /></p>
<p>The following values are for the disk usage per Data source for the respective data profile</p>
<h3 id="30-second-polling">30 second polling</h3>
<p>Daily 48kb</p>
<p>Weekly 43kb</p>
<p>Monthly 46kb</p>
<p>Yearly 140kb</p>
<h3 id="1-minute-polling">1 minute polling</h3>
<p>Daily 93kb / data source</p>
<p>Weekly 45kb / data source</p>
<p>Monthly 47kb /datasource</p>
<p>Yearly 140KB/data source</p>
<h3 id="5-minute-polling">5 minute polling</h3>
<p>Daily 19kb / data source</p>
<p>Weekly 22kb / data source</p>
<p>Monthly 25kb / data source</p>
<p>Yearly 26kb / data source</p>
<p><img src="images/data-source-profiles-edit2.png" alt="Data Source Profiles RRA Edit" /></p>
<h3 id="changing-data-profile-averages">Changing data profile averages</h3>
<p>The Cacti GUI allows you to change the averages on a specific Data source profile some setups require a higher resolution of data and you may want to change the averaging to keep the most data this will come with a cost of storage due to the bigger sized RRDfile</p>
<p>To do this follow these steps</p>
<h4 id="method-1---new-system-without-any-hosts">Method 1 - New system without any hosts</h4>
<ol>
<li><p>Login to Cacti</p></li>
<li><p>Click on Presets &gt;&gt; Data Profiles</p></li>
<li><p>Select the profile you want to edit i.e 1 minute collection</p></li>
<li><p>Select the period which you want to edit i.e weekly</p></li>
<li><p>If you wish to change the average select the aggregate level for 1 minute you will be able to go as low as 5 Minutes</p></li>
<li><p>You will need to edit the Rows amount to match the data retention you want to set after this period the data will be averaged out to the monthly graph</p></li>
<li><p>Save config and generate graphs</p></li>
</ol>
<h4 id="method-2---existing-devices-on-system">Method 2 - Existing device(s) on system</h4>
<p>This is a more data destructive route and it will depend on your situation. If you have graphs already on cacti you will not be able to use Method 1. An option if you do not care about the graphs is to either remove the graphs via the gui or run the following script <code>/cli/php remove_graphs.php with the --all</code> function.</p>
<p>This will REMOVE ALL THE GRAPHS and you can then follow the steps outlined in Method 1 to change the profile how you like</p>
<h3 id="data-profile-rows-calculation">Data profile Rows Calculation</h3>
<p>The rows calculation take in to account the following</p>
<p>Rows = Aggregate level * hours</p>
<p>Example</p>
<p>1 Minute aggregate level storing for 3 days ( 72 hours)</p>
<p>(Aggregate level)60 * 72 ( 72 hours) = 4,320</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
